<?php
include('../conexion.php');  
include ("../funciones/fechas.php"); 

date_default_timezone_set('America/Costa_Rica');;

session_start();


	 $usu=$_SESSION['username'];
	
	
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
 $nomb = $row["usu"];

 $cdgven = $row["codusu"];
	

		
 $accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$cliexe=$_POST["cliexento"];
$codfacturatmp=$_POST["codfacturatmp"];
$codfactura=$_POST["codfacturatmp"];
$cdgcli=$_POST["cdgcli"];
 $dsccli=strtoupper($_POST["dsccli"]);
 

if (!isset($_POST["remito"])) { $remito=""; } else  { $remito=$_POST["remito"]; }
if (!isset($_POST["vehpla"])) { $vehpla=""; } else  {  $vehpla=$_POST["vehpla"]; }
if (!isset($_POST["kmsveh"])) { $kmsveh=""; } else  { echo $kmsveh=$_POST["kmsveh"]; }

if (!isset($_POST["cedcli"])) { $cedcli=""; } else  { $cedcli=$_POST["cedcli"]; }
if (!isset($_POST["numfactura"])) { $numfactura=""; } else  { $numfactura=$_POST["numfactura"]; }
if (!isset($_POST["descuento"])) { $descuento=""; } else  { $descuento=$_POST["descuento"]; }
if (!isset($_POST["codfacturacontado"])) { $codfacturacontado=""; } else  {  $codfacturacontado=$_POST["codfacturacontado"]; }
if (!isset($_POST["codfacturacontado"])) { $codfacturacontado2=""; } else  {  $codfacturacontado2=$_POST["codfacturacontado"]; }
if (!isset($_POST["combotipoventa"])) { $cdgtipven="1";  } else  {  $cdgtipven=$_POST["combotipoventa"];  }








$obsped=$_POST["obsped2"];
$saldo_anterior=$_POST["salact"];
//$cdgven=$_POST["cdgven"];

$cob_iv=$_POST["cob_iv"];
$hora = date("H:i:s");
$fecha=date("Y-m-d");


 //$cdgven=$cod;
$minimo=0;



 
 $total2=$_POST["total2"];
$total2 = str_replace  (",","",$total2);
 



$efectivo=$_POST["efectivo2"];
if ($efectivo  > 0) { $medpago="01";  }
$efectivo = str_replace  (",","",$efectivo);
$efectivo = str_replace  ("₡","",$efectivo);


$dolares=$_POST["dolares2"];
if ($dolares > 0) { $medpago="01";  }
$dolares = str_replace  (",","",$dolares);
$dolares = str_replace  ("$","",$dolares);
 

$tarjetas=$_POST["tarjetas2"];
if ($tarjetas  > 0) { $medpago="02";  }
$tarjetas = str_replace  (",","",$tarjetas);
$tarjetas = str_replace  ("₡","",$tarjetas);

$cheques=$_POST["cheques2"];
if ($cheques  > 0) { $medpago="03";  }
$cheques = str_replace  (",","",$cheques);
$cheques = str_replace  ("₡","",$cheques);

$depositos=$_POST["depositos2"];
if ($depositos  > 0) { $medpago="04";  }
$depositos = str_replace  (",","",$depositos);
$depositos = str_replace  ("₡","",$depositos);


$pagacon2=$_POST["pagacon2"]; 
$pagacon = str_replace  (",","",$pagacon2);



//$tipcamdol=$_POST["tipcamdol"];

	$query_parametros = "SELECT * FROM web_0000 ";
	$rs_query_parametros = $mysqli->query($query_parametros);
	$filas_parametros = $rs_query_parametros->fetch_array();

		 $cdgdis = $filas_parametros["cdgdis"];
		 $numped = $filas_parametros["numped"];
		 $tipcamdol = $filas_parametros["tipcamdol"];
		 


	//************************************************ Seleción del plazo del cliente *********************************

		$mergra=0;
		$merexe=0;
		$serexe=0;
		$sergra=0;
		$subexe=0;
		$totmergra=0;
		$totmerexo=0;
		$totmerexe=0;
		$totsergra=0;
		$totserexo=0;
		$totserexe=0;
		$subgra=0;
		$baseimponible=0; 
		$baseimpuestos=0;		    
		$basedescuento=0;
if ($accion=="alta") {
 if ($cdgtipven == 2) {
	 
/*		$query_plazo="SELECT cdgpla,salact FROM web_0301 WHERE cdgcli='$cdgcli'";
		$rs_query_plazo=mysql_query($query_plazo);
		$pladia= mysql_result($rs_query_plazo,0,"cdgpla");
		$saldo_actual= mysql_result($rs_query_plazo,0,"salact");*/
			
		
		
		
		$query_plazo="SELECT cdgpla,salact FROM web_0301 WHERE cdgcli='$cdgcli'";
	
	$rs_query_plazo = $mysqli->query($query_plazo);
	$filas_query_plazo = $rs_query_plazo->fetch_array();
	
		$saldo_actual = $filas_query_plazo["salact"];
	    $pladia = $filas_query_plazo["cdgpla"];


        // calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;

		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );
	
	    $numfactura= $numped; ///// se deja un solo consecutivo numfaccre
		$numfactura1=$numfactura+1;
	    $numfactura=$cdgdis.$numfactura1;
		
   } else {

	   $cdgtipven = 1;
	   $pladia = "0";
	        // calculo de la fecha de vencimiento **

		$vencimiento= "+".$pladia." day" ;

		
		$fecven = strtotime ( $vencimiento , strtotime ( $fecha ) ) ;
		$fecven = date ( 'Y-m-d' , $fecven );

	    $numfactura= $numped;
		$numfactura1=$numfactura+1;
    	$numfactura=$cdgdis.$numfactura1;

    }

 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////



	
	$query_operacion="INSERT INTO pedidos (codfactura, numfactura, fecha, iva, cdgcli, dsccli, estado, borrado, cdgtipven, cdgven, pladia, fechavencimiento, cdgcaj, horfac, codpedidotmp, cliexe, obsped ) VALUES ('$codfacturatmp', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '$dsccli', '1', '0', '$cdgtipven','$cdgven','$pladia','$fecven','$cdgven','$hora','$codfacturatmp' ,'$cliexe' ,'$obsped')";				
	//$rs_operacion=mysql_query($query_operacion);
	$mysqli->query($query_operacion);



		$sel_articulos_contado="UPDATE web_0000 SET numped='$numfactura1' "; //// se suma el consecutivo a contado numfaccre
		//$rs_articulos=mysql_query($sel_articulos_contado);
		$mysqli->query($sel_articulos_contado);

		
	//$query_tmp="SELECT * FROM pedidos_lineastmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	
	
	//if ($rs_operacion) { $mensaje="Factura Completa"; }
	
	
	$query_tmp="SELECT * FROM pedidos_lineastmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
		$contador=0;
	$baseimponible=0;
	
	if ($resultado2 = $mysqli->query($query_tmp)) 
	
    while ($fila2 = $resultado2->fetch_assoc()) {

	    $numlinea = $fila2["numlinea"];
        $codigo = $fila2["codigo"];
        $dscart = $fila2["dscart"];
		$cantidad = $fila2["cantidad"];
		$preivi = $fila2["preivi"];	
	    $importe = $fila2["importe"];
	    $impuesto = $fila2["impuesto"];
		$mondes = $fila2["mondes"];
		$dcto= $fila2["dcto"];
		 $subtotal=$importe-$mondes;
		$montotlin=$importe-$mondes+$impuesto;	
	
		if ($impuesto==0){
		
		$subexe=$subexe+$importe;
	    $preivi2=$importe;
		 } else {
		 
		 $subgra=$subgra+$importe;
		 $preivi2=$importe+$impuesto;
		 }
		 
	
		$baseimponible=$baseimponible+$importe;
	  	     
		$baseimpuestos=$baseimpuestos+$impuesto;
		    
		$basedescuento=$basedescuento+$mondes;
		
		$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
			$preciototal=round($preciototal);

		 		 
		 	$query_costos="SELECT cosart,COB_IV,CDGFAM,CDGLIN, DESFAC FROM web_1001 WHERE cdgbar='$codigo'";
       $resultado = $mysqli->query($query_costos);
       $row = $resultado->fetch_array();
	
	     $cosart = $row["cosart"];
		 $desart = $row["DESFAC"];
		 $cob_iv = $row["COB_IV"];
		 $cdgfam = $row["CDGFAM"];
		 $cdglin = $row["CDGLIN"];
		$des_articulo= ( $cosart * $desart)/100;
		$cosart= $cosart - $des_articulo;
		

	


                



		$sel_insertar="INSERT INTO pedidos_lineas (codfactura,dscart,numlinea,codigo,cantidad,cosart,prenivi,preivi,importe,dcto,mondes,impuesto,cdgcli,cdgven,artexe,fecfac,cdgfam,cdglin) VALUES 
		('$codfactura','$dscart','$numlinea','$codigo','$cantidad','$cosart','$preivi','$preivi','$importe','$dcto','$mondes','$impuesto','$cdgcli','$cdgven','$cob_iv','$fecha','$cdgfam','$cdglin')";
		$mysqli->query($sel_insertar);		


		$contador++;
	}
	 
	  
	 
	 $consulta2 = "DELETE FROM pedidos_lineastmp  WHERE codfactura ='$codfacturatmp'";
	$mysqli->query($consulta2);
	


	$preciototal=$baseimponible+$baseimpuestos-$basedescuento;
	$preciototal=round($preciototal);

	$sel_act="UPDATE pedidos SET totalfactura='$preciototal' ,  subexe='$subexe', subgra='$subgra', destot='$basedescuento',subtot='$baseimponible', impven='$baseimpuestos', destot='$basedescuento' WHERE codfactura='$codfactura'";
	$mysqli->query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
}		



		$sel_mesa="UPDATE mesas SET $codfactura=1 "; //// se suma el consecutivo a contado numfaccre
		//$rs_mesa=mysql_query($sel_mesa);
		$mysqli->query($sel_mesa)

?>
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar(mesa) {
	    
		//	location.href="modificar_pedido.php?mesa=" + mesa   ;	
	 	location.href="index.php"   ;	
		}
		
		function imprimir_PDF() {
		
		var codfactura = document.getElementById("codfactura").value;	
			
		window.open("../fpdf/imprimir_pedido.php?&codfactura="+codfactura);
		//window.open("../fpdf/imprimir_factura_TERMICA.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
				
		function imprimir_PUNTO_VENTA() {
			
		var codfactura = document.getElementById("codfactura").value;	
		//window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);
		//window.open("../fpdf/imprimir_factura_PUNTO_VENTA_SUPER.php?codfactura="+codfactura);
		
		//location.href="nueva_proforma_super.php";
		}
		
		
		  window.onkeydown = tecla;

  function tecla(event) {
  if(  event.keyCode ==13	) {    num = event.keyCode;

if(num==13)aceptar(); // f3  busqueda de clientes 

  }
	  }	
	  
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
		
		function inicio(){
	   		
    document.getElementById("codfactura").focus();
}		
	

		</script>
<?php 
		
	
echo "<script>";
echo "aceptar('$codfactura');";
echo "</script>";	



?>
</head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
	<body onLoad="nobackbutton(); inicio()">
			<div id="zonaContenido">
         	<div class="contenidoPago">
			   <div align="center">
			     <table width="85%"  border="0">
			      <tr>
			        <td colspan="6">&nbsp;</td>
		          </tr>
			      <tr>
			        <td width="89">&nbsp;</td>
			        <td width="3">&nbsp;</td>
			        <td width="61">&nbsp;</td>
			        <td width="68" class="fuente8">&nbsp;</td>
			        <td width="480" >&nbsp;</td>
			        <td width="1">&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td class="fuente8">&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
			      <tr>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
			        <td>&nbsp;</td>
		          </tr>
		         </table>
                <input id="codfactura"    name="codfactura"   value="<? echo $codfactura?>"  type="hidden" />

			    <br> 
			    </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<p><span class="fuente_gracias">SELECCIONE LAdddd IMPRESORA</span></p>
					<p><span class="fuente_gracias"><img  onClick="imprimir_PDF()"  src="../img/Printer_Icon_128.png" width="128" height="128"><img  onClick="imprimir_PUNTO_VENTA()" src="../img/punto_venta.fw.png" width="130" height="111"> </span></p>
				</div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>


					
					